# getGearPieces

```lua
return function()
    local avatar = getAvatar('block_man');
    if avatar == nil then
        log('the avatar was not found');
        return;
    end
    
    local gearPieces = avatar.getGearPieces('hats'); 
    --returns a list of gear items that's from the gear set
    
    local str = '';
    for key, value in pairs(gearPieces) do
        str = str + value + ', ';
    end
    log(avatar.name .. ' has these gear pieces available:');
    log(str);
end
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.streamavatars.com/lua-scripting-api/api-reference-and-tips/classes/avatar/getgearpieces.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
